Act API
Get a goal
GET
/
act
/
goals
/
{id}
Get a goal
curl --request GET \
--url https://api.darwin.so/api/v2/act/goals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v2/act/goals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v2/act/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"id": "<string>",
"goalId": "<string>",
"aiId": "<string>",
"title": "<string>",
"intent": "<string>",
"mode": "BUY",
"type": "DEMAND",
"lifecycleStatus": "DRAFT",
"publicationStatus": "NOT_PUBLISHED",
"visibility": "PUBLIC",
"cadence": {},
"targeting": {},
"context": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"capabilityIds": [
"<string>"
],
"dealTemplateKey": "<string>",
"publication": {}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
Production keys begin with darwin_. Isolated sandbox keys begin with darwin_test_. Create keys in Developer settings.
Path Parameters
Query Parameters
Optional explicit AI scope. When omitted, Darwin uses the caller’s selected AI.
Response
The requested goal.
Show child attributes
Show child attributes
⌘I
Get a goal
